Bagikan melalui


Entra Id Assignments - Update

Memperbarui penetapan akses Entra secara massal.

PATCH {endpoint}/access/entra/assignments?api-version=2025-03-02-preview

Parameter URI

Nama Dalam Diperlukan Jenis Deskripsi
endpoint
path True

string (url)

Sumber daya komunikasi, misalnya https://my-resource.communication.azure.com

api-version
query True

string

Versi API yang akan dipanggil.

Isi Permintaan

Media Types: "application/merge-patch+json"

Nama Jenis Deskripsi

EntraAssignmentCreateOrUpdateRequest

Respons

Nama Jenis Deskripsi
200 OK

EntraAssignmentsResponse

Keberhasilan

204 No Content

Tidak Ada Isi

Other Status Codes

CommunicationErrorResponse

Kesalahan

Contoh

Update Assignments

Permintaan sampel

PATCH https://my-resource.communication.azure.com/access/entra/assignments?api-version=2025-03-02-preview

{
  "b27b64b9-39d2-44a3-869d-67700b74e805": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  },
  "eaf4bdca-9343-492B-a5e2-9310fbe393b8": null,
  "fd63f3cb-3731-4d15-8e47-9d062aba58c5": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  }
}

Respon sampel

{
  "value": [
    {
      "objectId": "b27b64b9-39d2-44a3-869d-67700b74e805",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    },
    {
      "objectId": "fd63f3cb-3731-4d15-8e47-9d062aba58c5",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    }
  ]
}

Definisi

Nama Deskripsi
CommunicationError

Kesalahan Communication Services.

CommunicationErrorResponse

Kesalahan Communication Services.

EntraAssignment
EntraAssignmentCreateOrUpdateRequest
EntraAssignmentsResponse
EntraPrincipalType

CommunicationError

Kesalahan Communication Services.

Nama Jenis Deskripsi
code

string

Kode kesalahan.

details

CommunicationError[]

Detail lebih lanjut tentang kesalahan tertentu yang menyebabkan kesalahan ini.

innererror

CommunicationError

Kesalahan dalam jika ada.

message

string

Pesan kesalahan.

target

string

Target kesalahan.

CommunicationErrorResponse

Kesalahan Communication Services.

Nama Jenis Deskripsi
error

CommunicationError

Kesalahan Communication Services.

EntraAssignment

Nama Jenis Deskripsi
clientIds

string[]

objectId

string

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentCreateOrUpdateRequest

Nama Jenis Deskripsi
clientIds

string[]

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentsResponse

Nama Jenis Deskripsi
nextLink

string

value

EntraAssignment[]

EntraPrincipalType

Nilai Deskripsi
user
group
tenant